#
# spec file for package ghc-hamlet
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%global pkg_name hamlet
Name:           ghc-%{pkg_name}
Version:        1.2.0
Release:        11.1
Summary:        Haml-like template files that are compile-time checked (deprecated)
License:        MIT
Group:          Development/Libraries/Haskell
URL:            https://hackage.haskell.org/package/%{pkg_name}
Source0:        https://hackage.haskell.org/package/%{pkg_name}-%{version}/%{pkg_name}-%{version}.tar.gz
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-rpm-macros
BuildRequires:  ghc-shakespeare-devel

%description
Hamlet gives you a type-safe tool for generating HTML code. It works via
Quasi-Quoting, and generating extremely efficient output code. The syntax is
white-space sensitive, and it helps you avoid cross-site scripting issues and
404 errors. Please see the documentation at
<http://www.yesodweb.com/book/shakespearean-templates> for more details.

Here is a quick overview of hamlet html. Due to haddock escaping issues, we
can't properly show variable insertion, but we are still going to show some
conditionals. Please see <http://www.yesodweb.com/book/shakespearean-templates>
for a thorough description

> !!! > <html> > <head> > <title>Hamlet Demo > <body> > <h1>Information on John
Doe > <h2> > $if isMarried person > Married > $else > Not married.

%package devel
Summary:        Haskell %{pkg_name} library development files
Group:          Development/Libraries/Haskell
Requires:       %{name} = %{version}-%{release}
Requires:       ghc-compiler = %{ghc_version}
Requires(post): ghc-compiler = %{ghc_version}
Requires(postun): ghc-compiler = %{ghc_version}

%description devel
This package provides the Haskell %{pkg_name} library development files.

%prep
%setup -q -n %{pkg_name}-%{version}

%build
%ghc_lib_build_without_haddock

%install
%ghc_lib_install

%post devel
%ghc_pkg_recache

%postun devel
%ghc_pkg_recache

%files -f %{name}.files
%doc LICENSE

%files devel -f %{name}-devel.files

%changelog
* Wed May  9 2018 psimons@suse.com
- Disable Haddock phase. This library exports no modules when build
  with recent compilers, and therefore attempts to generate the
  documentation fail.
* Thu Aug  3 2017 psimons@suse.com
- Updated with latest spec-cleaner version 0.9.8-8-geadfbbf.
* Sun Jul 10 2016 psimons@suse.com
- Update to version 1.2.0 revision 0 with cabal2obs.
